#include "consts.h"

#include <boost/assign/list_inserter.hpp>
#include <boost/assign/list_of.hpp>
#include <boost/assign/std/vector.hpp>

using namespace boost::assign;

string Consts::m_stamp = "";
bool Consts::m_use_scratch = false;

vector<double> Consts::m_alpha = list_of(0.089513)(0.0473674)(0.0619609)(0.0529953);
//vector<double> consts::m_rho = list_of(0.85)(0.09)(0.06);
vector<double> Consts::m_rho = list_of(0.368)(0.299)(0.201)(0.0973)(0.0292)(0.00468);



double Consts::sum_alpha() { return accumulate(m_alpha.begin(), m_alpha.end(), 0.0); }
