#include "consts.h"
#include "files.h"

#include <string>

using namespace std;



string g_alignment_file_name;
string g_home_dir_name;


string& alignment_file_name() { return g_alignment_file_name; }
string& home_dir_name() { return g_home_dir_name; }


string tmp_dir_name()
{
	string str;
	if (Consts::use_scratch())
		str = scratch_dir_name;
	else
		str = local_dir_name();
	return str; 
}

string EF_file_name() 
{ 
	string str = tmp_dir_name() + "/EF/EF_" + Consts::stamp() + ".txt"; 
	return str; 
}

string TF_file_name() 
{ 
	string str = tmp_dir_name() + "/TF/TF_" + Consts::stamp() + ".txt";
	return str;
}

string EP_file_name() 
{ 
	string str = tmp_dir_name() + "/EP/EP_" + Consts::stamp() + ".txt"; 
	return str; 
}

string TP_file_name() 
{ 
	string str = tmp_dir_name() + "/TP/TP_" + Consts::stamp() + ".txt";
	return str;
}

string cons_file_name() 
{ 
	string str = tmp_dir_name() + "/cons/cons_" + Consts::stamp() + ".txt";
	return str;
}

string para_file_name() 
{ 
	string str = tmp_dir_name() + "/calcETP_para/para_" + Consts::stamp() + ".txt";
	return str;
}

string seqs_file_name() 
{ 
	string str = tmp_dir_name() + "/calcETP_seqs/seqs_" + Consts::stamp() + ".txt"; 
	return str; 
}

string local_dir_name() { return home_dir_name() + "/tmp/small_subtypes"; }
string output_file_name() { return home_dir_name() + "/workspace/small_subtypes/output.txt"; }
string repr_EF_file_name() { return home_dir_name() + "/workspace/small_subtypes/data/EF_repr.txt"; }
string repr_TF_file_name() { return home_dir_name() + "/workspace/small_subtypes/data/TF_repr.txt"; }
string repr_em_para_file_name() { return home_dir_name() + "/workspace/small_subtypes/data/em_para_repr.txt"; }
string repr_tr_para_file_name() { return home_dir_name() + "/workspace/small_subtypes/data/tr_para_repr.txt"; }

