#ifndef PARTITION_H_
#define PARTITION_H_

#include <string>
#include <vector>
#include <set>
#include <map>

namespace partition 
{

std::map<unsigned, std::set<unsigned> > get_source_partition(std::vector<unsigned> v);
std::vector<unsigned> get_source_vector(std::map<unsigned, std::set<unsigned> > prt);
std::vector< std::map<unsigned, std::set<unsigned> > > get_all_source_partitions(unsigned num_sources, unsigned num_subs, unsigned fixed_sub = 0);
std::vector< std::map<unsigned, std::set<unsigned> > > get_derived_source_partitions(std::map<unsigned, std::set<unsigned> > source_partition);

}

#endif /*PARTITION_H_*/
